
Showroom Mobile Banking - Enhancement #14026

RIBMS SD : Enhance  Transaction Limit and Checker Approval Reject Flow 

15 July 2022 10:12 AM - Low Dylan

Status: Resolved Start date: 15 July 2022

Priority: Normal Due date:  

Assignee: Low Dylan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: Future Branch Code: showroom-proj-base-i5

Description

RIBMS SD : Enhance  Transaction Limit and Checker Approval Reject Flow

Please refer GER : Consent Management

History

#1 - 15 July 2022 10:13 AM - Low Dylan

- Assignee changed from Low Dylan to siti nurazwan

#2 - 15 July 2022 05:20 PM - Low Dylan

1. Add Status and Workflow Status in Transaction Limit  List screen

1a. Status -> Active/Deactived

1b. Workflow -> Pending Approval, Send for Approval, Approved, Rejected

2. Add following for "Transaction Limit" Detail screen:

Status

WorkFlow Status

Remarks

3. WS create that time will be pending approval, status = 'Deactived'

4. Maker go to transaction limit and chg to send for approval

5. Checker will see the transaction limit at Checker approval

6a. Checker can approval, then status = 'Active', workflow status = Approved

6b. Checker can reject, then status = 'Deactived', workflow status = Rejected,

then revert the transaction limit the version last approved by checker if found.

7a. Maker actually can modify the transaction limit with workflow status = Rejected, Pending Approval, Approved

7b. Maker actually can only view the transaction limit with workflow status = Send for Approval

7c. If rejected, maker actually can view the last transaction limit that have been rejected

8. Please add "Add" record flow in SD to test the whole flow

#3 - 25 July 2022 03:10 PM - siti nurazwan

- Status changed from New to Resolved
- Assignee changed from siti nurazwan to Low Dylan

- % Done changed from 0 to 100

Trunk Revision: 218121, 218122

----

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bbean_ribms/src/main/java/com/silverlake/ifb/ribms/bean/TransactionLimitsSearchBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bbean_ribms/src/main/java/com/silverlake/ifb/ribms/constant/MiBConstant.java

Modified :

/HLF/Source/SMEHLF100/trunk/mleb_ribms/bbean_ribms/src/main/java/com/silverlake/ifb/ribms/constant/TransactionLimitSQLConstants.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/dao/CheckerApprovalDAOImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/dao/TransactionLimitDAO.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/dao/TransactionLimitDAOImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/entity/TransactionLimit.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/entity/trigger/EntityPersistEventListener.java

Modified :

/HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/entity/trigger/TransactionLimitPostInsertTrigger.java

Modified :

/HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/entity/trigger/TransactionLimitPostUpdateTrigger.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/module/TransactionLimitModule.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/service/TransactionLimitService.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/service/TransactionLimitServiceImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/java/com/silverlake/ifb/ribms/util/hibernate/HibernateSpringIntegrator.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/bd_ribms/src/main/resources/db/mysql/02_mysql_mleb_ribms_database_data.sql

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/java/com/silverlake/ifb/ribms/controller/CheckerApprovalController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/java/com/silverlake/ifb/ribms/controller/TransactionLimitsController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/resources/Messages.properties

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/resources/jasper/trxLimitCustomiseAcknowledgement.jasper

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/resources/jasper/trxLimitCustomiseAcknowledgement.jrxml

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/resources/jasper/trxLimitDefaultAcknowledgement.jasper

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/resources/jasper/trxLimitDefaultAcknowledgement.jrxml

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/webapp/WEB-INF/vm/transactionLimit/detail.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_ribms/cc_ribms/src/main/webapp/WEB-INF/vm/transactionLimit/list.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bbean_cibms/src/main/java/com/silverlake/ifb/cibms/bean/TransactionLimitsSearchBean.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bbean_cibms/src/main/java/com/silverlake/ifb/cibms/constant/MiBConstant.java

Modified :

/HLF/Source/SMEHLF100/trunk/mleb_cibms/bbean_cibms/src/main/java/com/silverlake/ifb/cibms/constant/TransactionLimitSQLConstants.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/dao/CheckerApprovalDAOImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/dao/TransactionLimitDAO.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/dao/TransactionLimitDAOImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/entity/TransactionLimit.java

Added : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/entity/trigger/EntityPersistEventListener.java

Modified :

/HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/entity/trigger/TransactionLimitPostInsertTrigger.java

Modified :

/HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/entity/trigger/TransactionLimitPostUpdateTrigger.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/module/TransactionLimitModule.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/service/TransactionLimitService.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/service/TransactionLimitServiceImpl.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/java/com/silverlake/ifb/cibms/util/hibernate/HibernateSpringIntegrator.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/bd_cibms/src/main/resources/db/mysql/02_mysql_mleb_cibms_database_data.sql

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/java/com/silverlake/ifb/cibms/controller/CheckerApprovalController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/java/com/silverlake/ifb/cibms/controller/TransactionLimitsController.java

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/resources/Messages.properties

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/resources/jasper/trxLimitCustomiseAcknowledgement.jasper

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/resources/jasper/trxLimitCustomiseAcknowledgement.jrxml

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/resources/jasper/trxLimitDefaultAcknowledgement.jasper

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/resources/jasper/trxLimitDefaultAcknowledgement.jrxml

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/webapp/WEB-INF/vm/transactionLimit/detail.vm

Modified : /HLF/Source/SMEHLF100/trunk/mleb_cibms/cc_cibms/src/main/webapp/WEB-INF/vm/transactionLimit/list.vm
